<?
include_once '../core/system.php';
$header = 'Смена пароля';
include_once '../core/head.php';
switch($act) {
case 'post':
if(isset($_POST['pass1']) && isset($_POST['pass2']) && isset($_POST['pass3']) ){
$pass1 = check($_POST['pass1']);
$pass2 = check($_POST['pass2']);
$pass3 = check($_POST['pass3']);
if(strlen($pass1) != strlen($user['pass'])) $err =  'Старый пароль введен неверно!';
if(strlen($pass3) < 6 or strlen($pass1) > 20) $err =  'Длина пароля должна быть в пределах 6 - 20 символов';
if(strlen($pass2) != strlen($pass3)) $err =  'Пароли не совпадают!';
if(!isset($err)) {
mysql_query("UPDATE `user` SET `pass` = '".$pass2."' WHERE `id` = '$user[id]' LIMIT 1");
setcookie('pass', $pass1, time()+86400*365, '/');
header('Location: /change_password');
$_SESSION['message'] = 'Пароль изменен!';
exit();
}else{
header('Location: /change_password');
$_SESSION['err'] = $err;
// Вывод ошибки 
exit();
}
}
break;
default;
echo '<form class="player" method="post" action="?act=post">
Текущий пароль<br /><input class="text large" type="password" name="pass1" /><br />
Новый пароль<br /><input class="text large" type="password" name="pass2" /><br />
Потверждение  пароля<br /><input class="text large" type="password" name="pass3" /><br />
<span class="btn"><span class="end"><input class="label" type="submit" value="Изменить">Изменить</span></span>
</form>';
}
include_once '../core/foot.php';
?>